/ C library -- hashdir

/ error = hashdir(string, mode);

.globl	_hashdir
.globl	cerror
.hashdir = 50.

_hashdir:
	MCOUNT
	mov	r5,-(sp)
	mov	sp,r5
	mov	4(r5),0f
	mov	6(r5),0f+2
	sys	0; 9f
	bec	1f
	jmp	cerror
1:
	clr	r0
	mov	(sp)+,r5
	rts	pc
.data
9:
	sys	.hashdir; 0:..; ..
